d_invalidate
Prev | The Directory Cache | Next

## Name

d_invalidate — invalidate a dentry

## Synopsis

`int d_invalidate (` | struct dentry * | dentry`)`;

## Arguments

`dentry`

  dentry to invalidate

## Description

Try to invalidate the dentry if it turns out to be possible. If there are other dentries that can be reached through this one we can't delete it and we return -EBUSY. On success we return 0.

no dcache lock.

Prev | Up | Next
The Directory Cache | Home | shrink_dcache_sb